Subject: Re: bug#38912: 27.0.60; PDumper meets segmentation fault when evil is loaded

From: Eli Zaretskii <[email-masked]>
Date: Mon, 06 Jan 2020 19:20:32 +0200

> From: Pip Cet <[email-masked]>
> Date: Mon, 6 Jan 2020 16:38:48 +0000
> Cc: [email-masked], Daniel Colascione <[email-masked]>, [email-masked]
> 
> > > Can you confirm table_orig is cl--generic-dispatchers?
> >
> > I don't think I know how.
> 
> I meant something like
> 
> p Fsymbol_value(intern("cl--generic-dispatchers"))
> 
> in gdb. Will that work on your platform?

Yes, of course:

  (gdb) p/x Fsymbol_value(intern("cl--generic-dispatchers"))
  $2 = 0xa000000006288090
  (gdb) p table_orig
  $3 = XIL(0xa000000006288090)

So yes, that's cl--generic-dispatchers.

> > If you can suggest how to make that check more careful, please do.
> 
> I'd suggest just skipping the entire check for hashfn_equal, at least
> on the Emacs 27 branch. On master, I'd prefer to make equal-equality
> imply sxhash-equality.

Patches will be welcome, thanks.